Make 'monospace' the default font for the wikitext editor
Closed, ResolvedPublic0 Story Points

Description

The are four options for the editfont:

  • browser default
  • monospace
  • serif
  • sans-serif

The current default is 'browser default' which is whatever default your browser picks for <textarea>. In most cases this is monospace, but on OSX + Safari/Chrome (WebKit) it is sans-serif. Pretty much nowhere else in MediaWiki do we let font selection fall through to a browser default, and the same reasons for doing this should apply here (UX consistency).

With the introduction of syntax highlighting, which currently only supports monospace, it would also be better if people were always defaulted to monospace, so they don't get a shock when they turn this feature on.

Affected users will still be able to change their default font.

Esanders created this task.Jul 20 2017, 6:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 20 2017, 6:00 PM

Yeah, that would be the next logical step, but I didn't mention it here to limit the scope.

Change 366615 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Change 'editfont' default preference to 'monospace'

https://gerrit.wikimedia.org/r/366615

This is still a fairly big change for a large percentage of users, so will need some announcing if we proceed.

This is still a fairly big change for a large percentage of users, so will need some announcing if we proceed.

It'll only affect users of Macs (as far as we know), right? That's 11% of desktop users, which is a fair bunch, but a couple of weeks' notice should be fine, I think.

This is still a fairly big change for a large percentage of users, so will need some announcing if we proceed.

It'll only affect users of Macs (as far as we know), right? That's 11% of desktop users, which is a fair bunch, but a couple of weeks' notice should be fine, I think.

iOS users too! As browsers on iOS are limited to Webkit, they behave the same as on OS X. Granted, usage of the desktop skin is highly likely limited to iPad users, and I have no idea how many editors edit using a desktop skin on an iOS device and are actually using the wiki text editor.

Deskana triaged this task as Normal priority.Jul 25 2017, 7:20 PM
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.
Deskana assigned this task to Jdforrester-WMF.
Deskana set the point value for this task to 0.
Isarra added a subscriber: Isarra.Aug 12 2017, 2:33 PM

Change 366615 merged by jenkins-bot:
[mediawiki/core@master] Change 'editfont' default preference to 'monospace'

https://gerrit.wikimedia.org/r/366615

Jdforrester-WMF closed this task as Resolved.Aug 21 2017, 5:25 PM

This will roll out in the wmf.15 train.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 21 2017, 5:25 PM